import { FinancialSeries } from "./FinancialSeries";
import { ITrendLineSeries } from "./ITrendLineSeries";
import { IndicatorDisplayType } from "./IndicatorDisplayType";
import { DependencyProperty } from "igniteui-react-core";
import { TrendLineType } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { PenLineCap } from "igniteui-react-core";
import { DoubleCollection } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { SeriesView } from "./SeriesView";
import { CategoryFrame } from "./CategoryFrame";
import { Axis } from "./Axis";
import { Point, IList$1, Type } from "igniteui-react-core";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-react-core";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { ITrendLineManager } from "./ITrendLineManager";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { Clipper } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class FinancialIndicator extends FinancialSeries implements ITrendLineSeries {
    static $t: Type;
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    rr: FinancialIndicatorView;
    constructor();
    r3(a: boolean): void;
    protected rv(a: Point, b: Point, c: boolean): boolean;
    protected bj(): SeriesHitTestMode;
    n2(a: Point): Rect;
    dy(a: Point, b: boolean): boolean;
    protected jo(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    rs: IndicatorDisplayType;
    ry: number;
    trendLineType: TrendLineType;
    trendLineBrush: Brush;
    sg: Brush;
    static readonly r6: DependencyProperty;
    trendLineThickness: number;
    si: PenLineCap;
    sh: DoubleCollection;
    trendLinePeriod: number;
    protected r0(): number;
    rz: number;
    private _indicatorColumn;
    indicatorColumn: List$1<number>;
    protected rq: AxisRange;
    protected abstract rt(a: number, b: number): boolean;
    protected abstract rw(a: number, b: number): IList$1<string>;
    protected kp(a: any, b: string, c: any, d: any): void;
    fh(a: Point, b: boolean, c: boolean): number;
    gf(a: Point, b: boolean): number;
    gd(a: Point, b: boolean): number;
    protected get_eb(): boolean;
    private ru;
    private r5;
    ao(a: Axis): AxisRange;
    dq(a: any): boolean;
    ec(a: Rect, b: Rect, c: SeriesView): boolean;
    q7(a: CategoryFrame, b: FinancialSeriesView): void;
    jl(a: boolean, b: SeriesView): void;
    protected oq(): CategoryTransitionInMode;
    q9(a: CategoryFrame, b: FinancialSeriesView): void;
    protected lg(): void;
    protected r4(): void;
    protected jv(a: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class FinancialIndicatorBucketCalculator extends FinancialBucketCalculator {
    static $t: Type;
    constructor(a: FinancialSeriesView);
    protected f: FinancialIndicatorView;
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class FinancialIndicatorView extends FinancialSeriesView {
    static $t: Type;
    b3: FinancialIndicator;
    constructor(a: FinancialIndicator);
    protected by(): FinancialBucketCalculator;
    as(): void;
    private readonly b6;
    private cg;
    private b9;
    cu: Path;
    cq: Path;
    cv: Path;
    cr: Path;
    cw: Path;
    cs: Path;
    ct: Path;
    cp: Path;
    private b4;
    b5: ITrendLineManager;
    readonly b7: boolean;
    b8(a: boolean): void;
    ce(): void;
    cc(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: boolean, e: Clipper): void;
    ca(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: boolean, e: number, f: Clipper): void;
    cb(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: boolean, e: number): void;
    cf(): void;
    private cm;
    private co;
    private cn;
    private cl;
    private ci;
    private ck;
    private cj;
    private ch;
    protected bc(): void;
    protected a6(a: RenderingContext, b: boolean): void;
    protected a5(a: RenderingContext, b: boolean): void;
    al(a: any): void;
    cd(): void;
}
